Closed Bug 966140 Opened 6 years ago Closed 6 years ago

Intermittent TEST-UNEXPECTED-FAIL | marAppInUseStageSuccessComplete_unix.js | test failed (with xpcshell return code: 0) | exception thrown from do_timeout callback

Categories

(Toolkit :: Application Update, defect)

x86_64
macOS
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla30
Tracking Status
firefox27 --- unaffected
firefox28 --- unaffected
firefox29 --- fixed
firefox30 --- fixed
firefox-esr24 --- unaffected
b2g18 --- unaffected

People

(Reporter: KWierso, Unassigned)

References

Details

(Keywords: intermittent-failure)

https://tbpl.mozilla.org/php/getParsedLog.php?id=33845123&tree=Mozilla-Inbound
slave: talos-r4-snow-110



17:12:17     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/uriloader/exthandler/tests/unit/test_handlerService.js | test passed (time: 423.485ms)
17:12:17     INFO -  TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/uriloader/exthandler/tests/unit/test_punycodeURIs.js | running test ...
17:12:17     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/uriloader/exthandler/tests/unit/test_punycodeURIs.js | test passed (time: 208.075ms)
17:12:17     INFO -  Retrying tests that failed when run in parallel.
17:12:17     INFO -  TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/security/manager/ssl/tests/unit/test_ev_certs.js | running test ...
17:12:18     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/security/manager/ssl/tests/unit/test_ev_certs.js | test passed (time: 1398.058ms)
17:12:18     INFO -  TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/services/sync/tests/unit/test_bookmark_tracker.js | running test ...
17:12:20     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/services/sync/tests/unit/test_bookmark_tracker.js | test passed (time: 1946.748ms)
17:12:20     INFO -  TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/devtools/server/tests/unit/test_trace_actor-07.js | running test ...
17:12:21     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/devtools/server/tests/unit/test_trace_actor-07.js | test passed (time: 564.516ms)
17:12:21     INFO -  TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix.js | running test ...
17:15:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix.js | test failed (with xpcshell return code: 0), see following log:
17:15:22     INFO -  >>>>>>>
17:15:22     INFO -  System JS : WARNING /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js:1789 - in strict mode code, functions may be declared only at top level or immediately within another function
17:15:22     INFO -  System JS : WARNING /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js:1806 - in strict mode code, functions may be declared only at top level or immediately within another function
17:15:22     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test pending (1)
17:15:22     INFO -  17:12:21:508 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [setupTestCommon : 1360] start - general test setup
17:15:22     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
17:15:22     INFO -  17:12:21:510 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [setupTestCommon : 1432] finish - general test setup
17:15:22     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test finished (2)
17:15:22     INFO -  TEST-INFO | (xpcshell/head.js) | running event loop
17:15:22     INFO -  System JS : WARNING /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js:1872 - assignment to undeclared variable updateSettingsIni
17:15:22     INFO -  17:12:21:674 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1886] running the updater: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Contents/MacOS/updates/0/updater.app/Contents/MacOS/updater /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Contents/MacOS/updates/0 /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/ -1
17:15:22     INFO -  17:12:21:716 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1918] testing updater binary process exitValue against expected exit value
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1920] 0 == 0
17:15:22     INFO -  17:12:21:717 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1921] testing update status against expected status
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1922] "applied" == "applied"
17:15:22     INFO -  17:12:21:717 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1924] testing updating directory doesn't exist
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1925] false == false
17:15:22     INFO -  17:12:21:718 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix.js | [doUpdate : 262] testing last modified time on the apply to directory has changed after a successful update (bug 600098)
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix.js | [doUpdate : 267] true == true
17:15:22     INFO -  17:12:21:719 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateSuccess : 2746] testing contents of files after a successful update
17:15:22     INFO -  17:12:21:719 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/defaults/pref/channel-prefs.js
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:720 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 767, compare permissions : 767, updated permissions : 767
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 503 == 503
17:15:22     INFO -  17:12:21:721 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:722 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/precomplete
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:723 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:728 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:728 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/searchplugins/searchpluginstext0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:729 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 775, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:730 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:731 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/searchplugins/searchpluginspng1.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:732 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:737 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:737 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/searchplugins/searchpluginspng0.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:739 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:744 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:744 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/removed-files
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:745 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:748 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:748 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/extensions/extensions1/extensions1text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:749 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:750 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:750 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/extensions/extensions1/extensions1png1.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:751 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:756 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:756 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/extensions/extensions1/extensions1png0.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:757 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:761 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:762 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/extensions/extensions0/extensions0text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:763 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:763 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:764 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/extensions/extensions0/extensions0png1.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:765 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:770 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:770 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/extensions/extensions0/extensions0png0.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:771 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:775 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:776 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/exe0.exe
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:777 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 777, compare permissions : 755, updated permissions : 755
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 493 == 493
17:15:22     INFO -  17:12:21:781 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:782 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/1/10/10text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:782 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 767, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:783 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:784 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/0/0exe0.exe
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:784 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 777, compare permissions : 755, updated permissions : 755
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 493 == 493
17:15:22     INFO -  17:12:21:789 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:789 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/0/00/00text1
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:790 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 677, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:790 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:791 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/0/00/00text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:792 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 775, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:792 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:793 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/0/00/00png0.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
17:15:22     INFO -  17:12:21:793 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 776, compare permissions : 644, updated permissions : 644
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
17:15:22     INFO -  17:12:21:798 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
17:15:22     INFO -  17:12:21:798 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/2/20/20text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2784] false == false
17:15:22     INFO -  17:12:21:799 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/2/20/20png0.png
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2784] false == false
17:15:22     INFO -  17:12:21:800 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateSuccess : 2788] testing operations specified in removed-files were performed after a successful update
17:15:22     INFO -  17:12:21:800 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/3
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
17:15:22     INFO -  17:12:21:801 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/3/3text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2804] false == false
17:15:22     INFO -  17:12:21:801 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/3/3text1
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2804] false == false
17:15:22     INFO -  17:12:21:802 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/4
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:803 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/5
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:803 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/6
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:804 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/7
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:805 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
17:15:22     INFO -  17:12:21:805 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/80
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:806 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/81
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
17:15:22     INFO -  17:12:21:807 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/81/81text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
17:15:22     INFO -  17:12:21:807 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/81/81text1
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
17:15:22     INFO -  17:12:21:808 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/82
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
17:15:22     INFO -  17:12:21:809 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/82/820
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
17:15:22     INFO -  17:12:21:809 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/82/821
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
17:15:22     INFO -  17:12:21:810 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/83
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:811 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/84
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:812 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/85
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:812 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/86
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:813 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/87
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:814 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/88
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:814 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/8/89
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:815 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/90
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
17:15:22     INFO -  17:12:21:816 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/91
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
17:15:22     INFO -  17:12:21:817 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/91/91text0
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
17:15:22     INFO -  17:12:21:817 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/91/91text1
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
17:15:22     INFO -  17:12:21:818 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/92
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
17:15:22     INFO -  17:12:21:819 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/92/920
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
17:15:22     INFO -  17:12:21:819 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/a/b/9/92/921
17:15:22     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
17:15:22     INFO -  17:12:21:820 | TEST-INFO | /builds/slave/talos-slave/test



....




17:15:22     INFO -  17:12:21:852 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1886] running the updater: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Contents/MacOS/updates/0/updater.app/Contents/MacOS/updater /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Contents/MacOS/updates/0 /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/Updated.app/ 0/replace /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/a/b /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix/dir.app/a/b/callback_app ./ callback.log Test Arg 2 Test Arg 3
17:15:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/tests/xpcshell/head.js | exception thrown from do_timeout callback: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProcess.run]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js :: runUpdate :: line 1897"  data: no] - See following stack:
17:15:22     INFO -  JS frame :: /builds/slave/talos-slave/test/build/tests/xpcshell/head.js :: _Timer.prototype.notify :: line 150
17:15:22     INFO -  native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
17:15:22     INFO -  TEST-INFO | (xpcshell/head.js) | exiting test
17:15:22     INFO -  System JS : ERROR (null):0 - uncaught exception: 2147500036
17:15:22     INFO -  17:12:21:873 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [AGP_cleanup : 3498] start - unregistering directory provider
17:15:22     INFO -  17:12:21:874 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [cleanupTestCommon : 1440] start - general test cleanup
17:15:22     INFO -  17:12:21:951 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [cleanupTestCommon : 1523] attempting to remove directory. Path: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix
17:15:22     INFO -  17:12:21:952 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [removeDirRecursive : 1222] attempting to remove directory. Path: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marAppInUseStageSuccessComplete_unix
17:15:22     INFO -  17:12:21:956 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [cleanupTestCommon : 1534] finish - general test cleanup
17:15:22     INFO -  17:12:21:957 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [AGP_cleanup : 3545] finish - unregistering directory provider
17:15:22     INFO -  [3945] WARNING: '!compMgr', file /builds/slave/m-in-osx64-d-00000000000000000/build/xpcom/glue/nsComponentManagerUtils.cpp, line 59
17:15:22     INFO -  [3945] WARNING: OOPDeinit() without successful OOPInit(): file ../../../toolkit/crashreporter/nsExceptionHandler.cpp, line 2383
17:15:22     INFO -  nsStringStats
17:15:22     INFO -   => mAllocCount:           3694
17:15:22     INFO -   => mReallocCount:          538
17:15:22     INFO -   => mFreeCount:            3692  --  LEAKED 2 !!!
17:15:22     INFO -   => mShareCount:           9949
17:15:22     INFO -   => mAdoptCount:             81
17:15:22     INFO -   => mAdoptFreeCount:         81
17:15:22     INFO -   => Process ID: 3945, Thread ID: 140735084907712
17:15:22     INFO -  <<<<<<<
17:15:22     INFO -  INFO | Result summary:
17:15:22     INFO -  INFO | Passed: 1848
17:15:22  WARNING -  INFO | Failed: 1
17:15:22  WARNING -  One or more unittests failed.
17:15:22     INFO -  INFO | Todo: 4
17:15:22     INFO -  INFO | Retried: 4
17:15:22    ERROR - Return code: 1
Depends on: 965955
No further test failures since landing the patch in bug 965955 so resolving -> fixed. Please reopen if it fails again.
Flags: in-testsuite+
Target Milestone: --- → mozilla30
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.